Xalan-Java 2.7.1: Class WhiteSpaceInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class WhiteSpaceInfo

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemTemplate
                        |
                        +--org.apache.xalan.templates.WhiteSpaceInfo

Direct Known Subclasses:
  WhitespaceInfoPaths

public class WhiteSpaceInfo
extends ElemTemplate

This is used as a special "fake" template that can be handled by the TemplateList to do pattern matching on nodes.

See Also:
  Serialized Form

Fields inherited from class org.apache.xalan.templates.ElemTemplate
`m_frameSize`

Constructor Summary
`WhiteSpaceInfo(Stylesheet thisSheet)` Constructor WhiteSpaceInfo
`WhiteSpaceInfo(XPath matchPattern, boolean shouldStripSpace, Stylesheet thisSheet)` Constructor WhiteSpaceInfo

Method Summary
`boolean` | `getShouldStripSpace()` Return true if this element specifies that the node that matches the match pattern should be stripped, otherwise the space should be preserved.
`void` | `recompose(StylesheetRoot root)` This function is called to recompose() all of the WhiteSpaceInfo elements.

Methods inherited from class org.apache.xalan.templates.ElemTemplate
`compose, endCompose, execute, getMatch, getMode, getName, getNodeName, getPriority, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getXSLToken, setLocaterInfo, setMatch, setMode, setName, setPriority, setStylesheet`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, error, error, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhiteSpaceInfo

    public WhiteSpaceInfo(Stylesheet thisSheet)

  Constructor WhiteSpaceInfo
  Parameters:
    `thisSheet` - The current stylesheet

### WhiteSpaceInfo

    public WhiteSpaceInfo(XPath matchPattern,
                          boolean shouldStripSpace,
                          Stylesheet thisSheet)

  Constructor WhiteSpaceInfo
  Parameters:
    `matchPattern` - Match pattern
    `shouldStripSpace` - Flag indicating whether or not to strip whitespaces
    `thisSheet` - The current stylesheet

Method Detail

### getShouldStripSpace

    public boolean getShouldStripSpace()

  Return true if this element specifies that the node that matches the match pattern should be stripped, otherwise the space should be preserved.
  Returns:
    value of m_shouldStripSpace flag

### recompose

    public void recompose(StylesheetRoot root)

  This function is called to recompose() all of the WhiteSpaceInfo elements.
  Overrides:
    recompose in class ElemTemplate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.